package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsArticleCategory;
import com.ruoyi.system.domain.vo.ZsArticleCategoryVo;
import com.ruoyi.system.domain.bo.ZsArticleCategoryBo;

import java.util.Collection;
import java.util.List;

/**
 * 站点文章分类管理Service接口
 *
 * @author 网球
 * @date 2025-04-29
 */
public interface IZsArticleCategoryService {

    /**
     * 查询站点文章分类管理
     */
    ZsArticleCategoryVo queryById(Long id);


    /**
     * 查询站点文章分类管理列表
     */
    List<ZsArticleCategoryVo> queryList(ZsArticleCategoryBo bo);

    /**
     * 新增站点文章分类管理
     */
    Boolean insertByBo(ZsArticleCategoryBo bo);

    /**
     * 修改站点文章分类管理
     */
    Boolean updateByBo(ZsArticleCategoryBo bo);

    /**
     * 校验并批量删除站点文章分类管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
